Skip to main content
POST
/
media-bridge
/
v1
/
{appId}
/
schemas
/
{objectType}
/
associations
Create association definition
curl --request POST \
  --url 'https://api.hubapi.com/media-bridge/v1/{appId}/schemas/{objectType}/associations?hapikey=' \
  --header 'Content-Type: application/json' \
  --data '
{
  "fromObjectTypeId": "<string>",
  "toObjectTypeId": "<string>",
  "name": "<string>"
}
'
{
  "fromObjectTypeId": "<string>",
  "id": "<string>",
  "toObjectTypeId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Supported products

Authorizations

hapikey
string
query
required

Path Parameters

appId
integer<int32>
required

The appId for the media bridge app. It is possible to have multiple apps in your developer account that use the media bridge.

objectType
string
required

The object type to create the definition for

Body

application/json
fromObjectTypeId
string
required
toObjectTypeId
string
required
name
string

Response

successful operation

The definition of an association

fromObjectTypeId
string
required

The ID of the source object type (e.g., 0-1 for contacts).

id
string
required

The unique ID of the associated object (e.g., a contact ID).

toObjectTypeId
string
required

The ID of the destination object type (e.g., 0-3 for deals).

createdAt
string<date-time>

The timestamp when the association was created, in ISO 8601 format.

name
string

For labeled association types, the internal name of the association.

updatedAt
string<date-time>

The timestamp when the last update was made to an association, in ISO 8601 format.

Last modified on March 30, 2026